<ul class="{{ menu_class }}">

  {% for link in menu_links %}

{% comment %}<!-- does this link in our iteration point to the current page? -->{% endcomment %}
{% assign current = false %}{% if template == 'index' and link.url == '/' %}{% assign current = true %}{% elsif collection.url == link.url %}{% assign current = true %}{% elsif blog.url == link.url %}{% assign current = true %}{% elsif page.url == link.url %}{% assign current = true %}{% elsif page_title == link.title %}{% assign current = true %}{% elsif template == 'list-collections' and link.url == '/collections' %}{% assign current = true %}{% elsif page_title == 'Products' and link.url == '/collections/all' %}{% assign current = true %}{% elsif template == 'article' and link.url == article.url %}{% assign current = true %}{% endif %}
{% comment %}<!-- end of soul-searching about active class -->{% endcomment %}

  {% capture child_list_handle %}{{ link.title | handle }}{% endcapture %}
  <li class="menu-item-{{ link.title | handleize }}{%
    if current %} active{% endif %}">
    <a href="{{ link.url }}" title="{{ link.title }}">{{ link.title }}</a>
  </li>

  {% endfor %}

</ul>